;;--------------------------------------------------------------------------*
;;  Copyright 2005  DC4 Technisches Bro GmbH                               *
;;--------------------------------------------------------------------------*

(in-package :custom)
(use-package :OLI)

;;--------------------------------------------------------------------------*

(sd-defdialog 'dc4-anno-schnittpfeile-dialog
:dialog-title "Schnittpfeile"
:variables
  '(
    (sl    :selection *sd-anno-section-line-seltype*
           :prompt-text "Schnittlinie zum Aendern angeben."
           :title "Schnittlinie"
           :multiple-items nil
           :after-input (after-sl-action)
    )
    (pfg    :value-type :positive-number
            :title "Groesse"
            :after-input (after-pfg-action)
    )
   )
:local-functions
  '(
    (after-sl-action ()
     (let (comstring)
      (setf comstring (format nil "DC4_frage_schnittpfeil ~a" (sd-get-annotator-position :object sl)))
;;(display comstring)
      (setf pfg (sd-execute-annotator-function :fnc comstring))
      (when (= pfg 0) (progn (setf pfg nil) (setf sl nil)))
     );;let
    )
    (after-pfg-action ()
     (let (comstring)
      (setf comstring (format nil "DC4_aendere_schnittpfeil ~a ~a" (sd-get-annotator-position :object sl) pfg))
;;(display comstring)
      (sd-execute-annotator-command :cmd comstring)
      (setf sl nil)
     );;let
    )
   )
:ok-action
   '()
:help-action '()
)

;;--------------------------------------------------------------------------*

(sd-execute-annotator-command :cmd (format nil "INPUT '~a/am_schnittpfeil.mac'" "schnittpfeil-verzeichnis"))
